<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
	<xsl:variable name="d1" select="document('resources\monsterCategories.xml')/monsterCategories"/>
		<html>
			<head>
				<title>Monsters</title>
			</head>
			<body>
				<xsl:for-each select="monsters/monster">
					<xsl:sort select="name" order="ascending"/>
					<xsl:variable name="cat" select="category"/>
					<table border="1" width="85%" rules="all" cellpadding="5" cellspacing="2">
						<tbody>
							<tr align="center">
								<th colspan="2" bgcolor="pink">
									<h2>
										<xsl:value-of select="name"/>
									</h2>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Size Type (Descriptor):</th>
								<th>
									<xsl:value-of select="size"/>
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
									<xsl:value-of select="type"/>
									<xsl:if test="descriptor != ''">
      								(<xsl:value-of select="descriptor"/>)
							        </xsl:if>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Hit Dice:</th>
								<th>
									<xsl:value-of select="hitDice"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Initiative:</th>
								<th>
									<xsl:value-of select="initiative"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Speed:</th>
								<th>
									<xsl:value-of select="speed"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Armor Class:</th>
								<th>
									<xsl:value-of select="armorClass"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Base Attack/Grapple</th>
								<th>
									<xsl:value-of select="baseAttack"/>
									<xsl:text>/</xsl:text>
									<xsl:if test="grapple != ''"><xsl:value-of select="grapple"/></xsl:if>
									<xsl:if test="grapple = ''">
									<xsl:text>--</xsl:text>
									</xsl:if>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Attack:</th>
								<th>
									<xsl:value-of select="attack"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Full Attack:</th>
								<th>
									<xsl:value-of select="fullAttack"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Space/Reach</th>
								<th>
									<xsl:value-of select="space"/> 
									<xsl:text> ft./</xsl:text>
                                    <xsl:value-of select="reach"/>
									<xsl:text> ft.</xsl:text>
								</th>
							</tr>
							<xsl:if test="specialAttacks != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Special Attacks:</th>
								<th>
									<xsl:value-of select="specialAttacks"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="specialQualities != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Special Qualities:</th>
								<th>
									<xsl:value-of select="specialQualities"/>
								</th>
							</tr>
							</xsl:if>
							<tr align="left">
								<th bgcolor="lightblue">Saves:</th>
								<th>
									<xsl:value-of select="saves"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Abilities:</th>
								<th>
									<xsl:value-of select="abilities"/>
								</th>
							</tr>
							<xsl:if test="skills != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Skills:</th>
								<th>
									<xsl:value-of select="skills"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="feats != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Feats:</th>
								<th>
									<xsl:value-of select="feats"/>
								</th>
							</tr>
							</xsl:if>
							<tr align="left">
								<th bgcolor="lightblue">Environment:</th>
								<th>
									<xsl:value-of select="environment"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Organization:</th>
								<th>
									<xsl:value-of select="organization"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Challenge Rating:</th>
								<th>
									<xsl:value-of select="challengeRating"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Treasure:</th>
								<th>
									<xsl:value-of select="treasure"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Alignment:</th>
								<th>
									<xsl:value-of select="alignment"/>
								</th>
							</tr>
							<xsl:if test="advancement != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Advancement:</th>
								<th>
									<xsl:value-of select="advancement"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="levelAdjustment != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Level Adjustment:</th>
								<th>
									<xsl:value-of select="levelAdjustment"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:for-each select="$d1/monsterCategory">
							    <xsl:if test="name = $cat">
      						    <tr align="left">
								    <th width="25%" bgcolor="lightblue">Category Description:</th>
								    <th>
									    <xsl:value-of select="description"/>
								    </th>
							    </tr>
							    </xsl:if>
							 </xsl:for-each>
							<tr align="left">
								<th bgcolor="lightblue">Description:</th>
								<th>
									<xsl:value-of select="description"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Reference:</th>
								<th>
									<xsl:value-of select="reference"/>
								</th>
							</tr>
						</tbody>
					</table>
					<br/>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
