<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Spells</title>
			</head>
			<body>
				<xsl:for-each select="spells/spell">
					<xsl:sort select="name" order="ascending"/>
					<table border="1" width="85%" rules="all" cellpadding="5" cellspacing="2">
						<tbody>
							<tr align="center">
								<th colspan="2" bgcolor="pink">
									<h2>
										<xsl:value-of select="name"/>
									</h2>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">
								School 
								<xsl:if test="subschool != ''">
								(Subschool) 
								</xsl:if>
								<xsl:if test="descriptor != ''">
								[Descriptor]:
								</xsl:if>
								</th>
								<th>
									<xsl:value-of select="school"/>
									<xsl:if test="subschool != ''">	
										(<xsl:value-of select="subschool"/>)
									</xsl:if>
									<xsl:if test="descriptor != ''">
										[<xsl:value-of select="descriptor"/>]
									</xsl:if>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Level:</th>
								<th>
									<xsl:value-of select="level"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Components:</th>
								<th>
									<xsl:value-of select="components"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Casting Time:</th>
								<th>
									<xsl:value-of select="casting_time"/>
								</th>
							</tr>
							<xsl:if test="range != ''">	
							<tr align="left">
								<th bgcolor="lightblue">Range:</th>
								<th>
									<xsl:value-of select="range"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="area != ''">	
							<tr align="left">
								<th bgcolor="lightblue">Area:</th>
								<th>
									<xsl:value-of select="area"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="target != ''">
							<tr align="left">
								<th bgcolor="lightblue">Target:</th>
								<th>
									<xsl:value-of select="target"/>
								</th>
							</tr>
							</xsl:if>
							<tr align="left">
								<th bgcolor="lightblue">Duration:</th>
								<th>
									<xsl:value-of select="duration"/>
								</th>
							</tr>
							<xsl:if test="saving_throw != ''">
							<tr align="left">
								<th bgcolor="lightblue">Saving Throw:</th>
								<th>
									<xsl:value-of select="saving_throw"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="spell_resistance != ''">
							<tr align="left">
								<th bgcolor="lightblue">Spell Resistance:</th>
								<th>
									<xsl:value-of select="spell_resistance"/>
								</th>
							</tr>
							</xsl:if>
							<tr align="left">
								<th bgcolor="lightblue">Description:</th>
								<th>
									<xsl:value-of select="description"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Reference:</th>
								<th>
									<xsl:value-of select="reference"/>
								</th>
							</tr>
						</tbody>
					</table>
					<br/>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
