<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Traps</title>
			</head>
			<body>
				<xsl:for-each select="traps/trap">
					<xsl:sort select="name" order="ascending"/>
					<table border="1" width="85%" rules="all" cellpadding="5" cellspacing="2">
						<tbody>
							<tr align="center">
								<th colspan="2" bgcolor="pink">
									<h2>
										<xsl:value-of select="name"/>
									</h2>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Challenge Rating:</th>
								<th>
									<xsl:value-of select="cr"/>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Type:</th>
								<th>
									<xsl:value-of select="type"/>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Trigger:</th>
								<th>
									<xsl:value-of select="trigger"/>
								</th>
							</tr>
   							<tr align="left">
								<th width="25%" bgcolor="lightblue">Reset:</th>
								<th>
									<xsl:value-of select="reset"/>
								</th>
							</tr>
							<!--<xsl:value-of select="bypass"/>-->
      						<xsl:if test="bypass != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Bypass:</th>
								<th>
									<xsl:value-of select="bypass"/>
								</th>
							</tr>
							</xsl:if>
                            <xsl:if test="savingthrow != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Saving Throw:</th>
								<th>
									<xsl:value-of select="savingthrow"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="attackbonus != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Attack Bonus:</th>
								<th>
									<xsl:value-of select="attackbonus"/>
								</th>
							</tr>
							</xsl:if>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Damage/Effect:</th>
								<th>
									<xsl:value-of select="damageeffect"/>
								</th>
							</tr>
							<xsl:if test="miscellaneous != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Miscellaneous:</th>
								<th>
									<xsl:value-of select="miscellaneous"/>
								</th>
							</tr>
							</xsl:if>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Search:</th>
								<th>
									<xsl:value-of select="search"/>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Disable:</th>
								<th>
									<xsl:value-of select="disable"/>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Cost:</th>
								<th>
									<xsl:value-of select="cost"/>
								</th>
							</tr>
							<tr align="left">
								<th bgcolor="lightblue">Reference:</th>
								<th>
									<xsl:value-of select="reference"/>
								</th>
							</tr>
						</tbody>
					</table>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
